## net.sf.saxon.option.jdom
Class JDOMQuery

    java.lang.Object
      net.sf.saxon.Query
          net.sf.saxon.option.jdom.JDOMQuery

    public class JDOMQuery

extends Query

Variant of command line net.sf.saxon.Transform do build the source document in JDOM and then proceed with the transformation. This class is provided largely for testing purposes.

Field Summary

Fields inherited from class net.sf.saxon.Query
`backup, config, explain, explainOutputFileName, languageVersion, moduleURIResolverClass, outputFileName, outputProperties, projection, pullMode, queryFileName, repeat, showTime, sourceFileName, updating, uriResolverClass, useURLs, wrap, writeback`

Constructor Summary
`JDOMQuery()`

Method Summary
`static void` `main(String[] args)`
`List` `preprocess(List sources)`

Methods inherited from class net.sf.saxon.Query
`applyLocalOptions, badUsage, compileQuery, doQuery, explain, getConfiguration, parseOptions, processSource, processSourceFile, quit, runQuery, setPermittedOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMQuery

    public JDOMQuery()

Method Detail

### preprocess

    public List preprocess(List sources)
                    throws XPathException

  Throws:
    `XPathException`

### main

    public static void main(String[] args)

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.